<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs" :large="false">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>Modelo de Negocio</strong>
    </div>
    <v-row justify="center">
      <v-col md="8">
        <div class="text-h5 text-center font-weight-black">
          Buenos días, {{ serviceCommons.titleCase(user.nombre) }}
        </div>
        <div class="text-center">
          Te damos la bienvenida a<strong> Modelo de Negocio</strong> ¿Qué
          deseas aprender hoy?
        </div>
      </v-col>
    </v-row>
    <TablaFoliosEtiquetaArbol @notSearch="notSearch" />
    <ListaPublicados v-if="isNotSearch" />
  </div>
</template>
<script>
import TablaFoliosEtiquetaArbol from "@/views/secure/modelo-negocio/documentos/visualizador/folios/usuario/publicados/components/TablaFoliosEtiquetaArbol.vue";
import ListaPublicados from "@/views/secure/modelo-negocio/documentos/visualizador/folios/usuario/publicados/ListaPublicados.vue";
import store from "@/store";
const serviceCommons = store.state.serviceCommons;
const serviceLocalStorage = store.state.serviceLocalStorage;
export default {
  name: "Component-Publicados",
  components: {
    TablaFoliosEtiquetaArbol,
    ListaPublicados,
  },
  data() {
    return {
      breadcrumbs: [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home",
          },
        },
        {
          text: "Modelo de Negocio",
          disabled: false,
          exact: true,
          to: {
            name: "modelo_negocio",
          },
        },
        {
          text: "Publicados",
          disabled: true,
          exact: true,
        },
      ],
      isNotSearch: true,
    };
  },
  computed: {
    serviceCommons() {
      return serviceCommons;
    },
    user() {
      let user = serviceLocalStorage.userToken();
      if (!user) {
        user = {};
      }
      return user;
    },
  },
  methods: {
    notSearch(val) {
      this.isNotSearch = val;
    },
  },
};
</script>
